多用途聊天软件 Pidgin 2.5.4 发布

上网、浏览、聊天、下载等
Rex_D_W
帖子: 23
注册时间: 2008-11-07 11:40
送出感谢: 0
接收感谢: 0

多用途聊天软件 Pidgin 2.5.4 发布

#1

帖子 Rex_D_W » 2009-01-13 8:00

Pidgin(以前的GAIM)是一款功能强大支持多个协议的开源即时通讯软件.包含的IM协议有AIM、Bonjour、Gadu-Gadu、 Groupwise、ICQ、IRC、MSN、QQ、SILC、SIMPLE、Sametime、XMPP、Yahoo! IM、Zephyr等,十分全面.值得一提的是,QQ不再以插件形式支持了,而是直接可以使用了.

下载:Pidgin 2.5.4 for Windows (12.4 MB)http://prdownloads.sourceforge.net/pidg ... e?download
下载:Pidgin 2.5.4 for Linux (7.69 MB)http://prdownloads.sourceforge.net/pidg ... 2?download
躺在桌子上
帖子: 387
注册时间: 2008-10-27 22:28
送出感谢: 0
接收感谢: 0

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#2

帖子 躺在桌子上 » 2009-01-13 15:41

没有DEB包?
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#3

帖子 tenzu » 2009-01-13 15:53

正在下载。
我还没成功安装过tar.bz2的东西,祈祷一下。。。
gdsj0769
帖子: 28
注册时间: 2008-12-04 22:59
送出感谢: 0
接收感谢: 0

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#4

帖子 gdsj0769 » 2009-01-13 16:02

好像是不用安装就能用的?
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#5

帖子 tenzu » 2009-01-13 16:22

不安装好像不能用。我编译又失败了,达人有空帮我看看吧。

terminal里输入 ./configure,提示如下:
…………前略
checking for XScreenSaverRegister in -lXext... no
checking for XScreenSaverRegister in -lXss... no
configure: error:
XScreenSaver extension development headers not found.
Use --disable-screensaver if you do not need XScreenSaver extension support,
this is required for detecting idle time by mouse and keyboard usage.

试了一下 ./configure --disable-screensaver,我猜应该这么加,不知道对不对。提示如下:
…………前略
checking for X11/SM/SMlib.h... yes
checking for STARTUP_NOTIFICATION... no
no
configure: error:
Startup notification development headers not found.
Use --disable-startup-notification if you do not need it.

再试 ./configure --disable-startup-notification,又提示--disable-screensaver,我就疯了。。。
minechina
帖子: 94
注册时间: 2008-11-19 8:27
送出感谢: 0
接收感谢: 0

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#6

帖子 minechina » 2009-01-13 16:25

我是disable了三个软件才成功的。这三个不知道怎么安装。
./configure --disable-screensaver --disable-startup-notification --disable-gtkspell --disable-perl --disable-tcl
附件
Screenshot-关于 Pidgin.png
上次由 minechina 在 2009-01-13 16:41,总共编辑 1 次。
pjw8243
帖子: 100
注册时间: 2008-10-22 17:47
送出感谢: 0
接收感谢: 0

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#7

帖子 pjw8243 » 2009-01-13 16:29

大概安装x11proto-scrnsaver-dev能行
minechina
帖子: 94
注册时间: 2008-11-19 8:27
送出感谢: 0
接收感谢: 0

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#8

帖子 minechina » 2009-01-13 16:34

pjw8243 写了:大概安装x11proto-scrnsaver-dev能行
没用,还是不行。
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#9

帖子 tenzu » 2009-01-13 16:36

呃,用了6楼的命令,提示如下:

…………前略
checking X11/SM/SMlib.h usability... yes
checking X11/SM/SMlib.h presence... yes
checking for X11/SM/SMlib.h... yes
checking for initscr in -lncursesw... no
checking for update_panels in -lpanelw... no
checking for initscr in -lncurses... no
checking for update_panels in -lpanel... no
checking for LIBXML... no
no
configure: error:

You must have libxml2 >= 2.6.0 development headers installed to build.

可是Synaptic里Installed Versiion显示2.6.32
minechina
帖子: 94
注册时间: 2008-11-19 8:27
送出感谢: 0
接收感谢: 0

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#10

帖子 minechina » 2009-01-13 16:39

你的libxml2没安装吧,他说大于或者等于2.6.0版本的。
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#11

帖子 tenzu » 2009-01-13 16:41

minechina 写了:你的libxml2没安装吧,他说大于或者等于2.6.0版本的。
装了的,synaptic里面显示是最新版本了
minechina
帖子: 94
注册时间: 2008-11-19 8:27
送出感谢: 0
接收感谢: 0

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#12

帖子 minechina » 2009-01-13 16:45

系统重新启动一下看看。
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#13

帖子 tenzu » 2009-01-13 18:49

viewtopic.php?f=73&t=177159
这个帖子里有详细的编译过程,有空我再弄。
谢谢楼上。
zuokun
帖子: 16
注册时间: 2008-05-08 17:33
送出感谢: 0
接收感谢: 0

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#14

帖子 zuokun » 2009-01-13 18:57

要安装 dev
头像
hitly
帖子: 391
注册时间: 2006-02-20 0:27
送出感谢: 0
接收感谢: 0

Re: 多用途聊天软件 Pidgin 2.5.4 发布

#15

帖子 hitly » 2009-01-14 0:33

./configure,可能会有一堆库需要安装,如下

代码: 全选

XScreenSaver extension development headers not found.
    libxss-dev
Startup notification development headers not found.
    libstartup-notification0-dev
GStreamer development headers not found.
    libgstreamer0.10-dev
Meanwhile development headers not found.
    libmeanwhile-dev
D-Bus development headers not found.
    libdbus-1-dev libdbus-glib-1-dev
NetworkManager development headers not found.
    network-manager-dev
Perl development headers not found.
    libperl-dev
Tcl development headers not found.
    tcl8.4-dev
Tk development headers not found.
    tk8.4-dev
GtkSpell development headers not found.
    libgtkspell-dev
avahi development headers not found.
    libavahi-client-dev libavahi-glib-dev
Neither GnuTLS or NSS SSL development headers found.
    libgnutls-dev
一口气装了!

代码: 全选

sudo apt-get install libxss-dev libstartup-notification0-dev libgstreamer0.10-dev libmeanwhile-dev libdbus-1-dev libdbus-glib-1-dev network-manager-dev libperl-dev tcl8.4-dev tk8.4-dev libgtkspell-dev libavahi-client-dev libavahi-glib-dev libgnutls-dev
.剩下的就简单了

代码: 全选

#./configure
#make
#sudo make install              =========想打包可以sudo checkinstall
#pidgin
如果提示 pidgin: undefined symbol: purple_smileys_get_all
执行下面的,删除旧版本就可以了

代码: 全选

#sudo apt-get remove pidgin libpurple0
如果运行时如果出现:

代码: 全选

pidgin: error while loading shared libraries: libpurple.so.0: cannot open shared object file: No such file or directory
安装这个东西:libpurple-dev
Linux mylinux 2.6.37.3-mylinux #1 SMP Fri Feb 18 19:52:03 CST 2011 i686 GNU/Linux

==
境由心造,事在人为!
==
http://www.open2l.com
==
回复

回到 “因特网相关软件”